import Foundation

class SrcFmt: Formatter {
    override func string(for obj: Any?) -> String? {
        /**/print("ИГР SrcF.string obj: '\(obj)'")
        guard let str = obj as? String else { return nil }
        return String(str.dropFirst(2))
    }

    override func getObjectValue(
        _ obj: AutoreleasingUnsafeMutablePointer<AnyObject?>?,
        for string: String,
        errorDescription error: AutoreleasingUnsafeMutablePointer<NSString?>?
    ) -> Bool {
        /**/print("ИГР SrcF.getOV string: '\(string)'")
        let val: String
        if string.hasPrefix("a:") || string.hasPrefix("u:") {
            val = string
        } else {
            val = "u:\(string)"
        }
        obj?.pointee = val as AnyObject
        return true
    }
}
